# Created by pyp2rpm-3.3.1
%global pypi_name django-settings

Name:           python-%{pypi_name}
Version:        1.3.12
Release:        %mkrel 1
Summary:        Simple django reusable application for storing project settings in database
Group:          Development/Python
License:        BSD
URL:            https://github.com/jqb/django-settings
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description
Django reusable application for storing global project settings in database.

By project settings I mean things like admin mail, some default values like
default_post_limit etc. Values are validated depending their type.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Django reusable application for storing global project settings in database.

By project settings I mean things like admin mail, some default values like
default_post_limit etc. Values are validated depending their type.

%prep
%setup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/django_settings
%{python3_sitelib}/django_settings-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Aug 05 2022 tex - 1.3.12-1pclos2022
- new version

